Quantcast

Cannot install FGS php_pgsql-module (both locally and from the internet)

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Cannot install FGS php_pgsql-module (both locally and from the internet)

Kreshna Aryaguna Nurzaman
I installed FGS version 1.0.0 fgs-mapserver_5.2.2-fgs_1.0.0-linux-i386.bin) on CentOS 4.2, in the /opt/fgs/ folder. Apparently the particular FGS version does not support PostgreSQL, because when I tried to run phpPgAdmin, it gaves me the following error message:

Your PHP installation does not support PostgreSQL. You need to recompile PHP using the --with-pgsql configure option.

First, I found it to be strange, because when I ran phpinfo(), I noticed  '--with-pgsql=shared,/home/fgs/fgs-dev/built/postgresql' in the Configure Command section. Why can't it connect to a PostgreSQL database?

And yes, the PostgreSQL is up and running. I tried another instance of Apache (running on different port), and it connects to PostgreSQL flawlessly.

Nonetheless, I think I should install FGS' php_pgsql module. In the /opt/fgs/ folder, I ran the following command:
fgs install php_pgsql-module http://www.maptools.org/dl/fgs/releases/1.0/1.0.0/modules/

Yet I got the following error message:
* Probing last version of module 'php_pgsql-module'...

! Cannot find a php_pgsql-module module from http://www.maptools.org/dl/fgs/releases/1.0/1.0.0/modules/

However, a quick browse on the URL shows that there is a php_pgsql module (fgs-php_pgsql-module-5.2.5-linux-i386.tar.gz). Why can't I install it?

I then tried to download the module first, and install it locally. I created a folder named ./modules/ in /opt/fgs/, and put the downloaded tarball there.

And then, I executed the following:
fgs install php_pgsql-module ./modules

(Basically I was trying to tell fgs executable to look the tarball in the ./modules folder instead of some internet folder)

However, I still got the following error message:
* Probing last version of module 'php_pgsql-module'... 5.2.5
+ Installing php_pgsql-module:
  + Getting and extracting module 'php_pgsql-module'...
! Cannot find file './modules/fgs-php_pgsql-module-5.2.5-linux-i386.tar.gz', aborting...

That's very weird, because ls command clearly shows that the tarball is there, in the ./modules/ folder:
ls ./modules/fgs-php_pgsql-module-5.2.5-linux-i386.tar.gz
./modules/fgs-php_pgsql-module-5.2.5-linux-i386.tar.gz

I have tried different locations for the downloaded tarball, and adjusted my fgs install command accordingly. Ad nauseam. Nothing has worked so far.

What should I do now? How am I supposed to do to successfully install an FGS module? Please help. :-(

-Kresh











     
_______________________________________________
Foss-gis-suite mailing list
[hidden email]
http://lists.maptools.org/mailman/listinfo/foss-gis-suite
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Cannot install FGS php_pgsql-module (both locally and from the internet)

nsavard
Kreshna,

Answers in line.

Regards,

Norm

[hidden email] wrote:
> Nonetheless, I think I should install FGS' php_pgsql module. In the /opt/fgs/ folder, I ran the following command:
> fgs install php_pgsql-module http://www.maptools.org/dl/fgs/releases/1.0/1.0.0/modules/
>
>  
You should have point out:

http://dl.maptools.org/dl/fgs/releases/9.5/modules/


> And then, I executed the following:
> fgs install php_pgsql-module ./modules
>
>  
You have to specify an absolute path to the modules directory here.

_______________________________________________
Foss-gis-suite mailing list
[hidden email]
http://lists.maptools.org/mailman/listinfo/foss-gis-suite
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Cannot install FGS php_pgsql-module (both locally and from the internet)

Kreshna Aryaguna Nurzaman
Thanks for the answer, Normand. :-)

--- On Mon, 11/23/09, Normand Savard <[hidden email]> wrote:

> From: Normand Savard <[hidden email]>
> Subject: Re: [FGS] Cannot install FGS php_pgsql-module (both locally and from the internet)
> To: "[hidden email]" <[hidden email]>
> Cc: [hidden email]
> Date: Monday, November 23, 2009, 9:04 AM
> Kreshna,
>
> Answers in line.
>
> Regards,
>
> Norm
>
> [hidden email]
> wrote:
> > Nonetheless, I think I should install FGS' php_pgsql
> module. In the /opt/fgs/ folder, I ran the following
> command:
> > fgs install php_pgsql-module http://www.maptools.org/dl/fgs/releases/1.0/1.0.0/modules/
> >
> >   
> You should have point out:
>
> http://dl.maptools.org/dl/fgs/releases/9.5/modules/
>
>
> > And then, I executed the following:
> > fgs install php_pgsql-module ./modules
> >
> >   
> You have to specify an absolute path to the modules
> directory here.
>
>


     

_______________________________________________
Foss-gis-suite mailing list
[hidden email]
http://lists.maptools.org/mailman/listinfo/foss-gis-suite
Loading...